Bug 650461 - preupgrade-cli fails with UnicodeEncodeError
preupgrade-cli fails with UnicodeEncodeError
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-06 10:43 EDT by zimon
Modified: 2010-12-03 07:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:02:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zimon 2010-11-06 10:43:20 EDT
Description of problem:
Tried to upgrade from Fedora 12 to Fedora 13 with preupgrade-cli.
The system has finnish locale set.

# preupgrade-cli "Fedora 13 (Goddard)"
.....
zip.x86_64                               3.0-1.fc13             preupgrade-fedora
Latausmäärä yhteensä: 1.3GB
Ladataanko paketit?
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-cli.py", line 327, in <module>
    pu.main(release)
  File "/usr/share/preupgrade/preupgrade-cli.py", line 265, in main
    if not self.userconfirm():
  File "/usr/share/yum-cli/output.py", line 687, in userconfirm
    choice = raw_input(_('Is this ok [y/N]: '))
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe4' in position 6: ordinal not in range(128)


Version-Release number of selected component (if applicable):
preupgrade 1.1.7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
preupgrade not succesfully done

Expected results:
preupgrade finishes OK and upgrade can be done in the next reboot.

Additional info:
Finnish local was set in the X session where in the xterminal preupgrade-cli was done.
Comment 1 Bug Zapper 2010-12-03 07:02:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.